:root{
    font-family: 'Courier New', Courier, monospace;
    font-weight: 600;
}

*, *::before, *::after{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}
html{
    overflow: hidden;
}

body{
    width: 100%;
    height: 100%;
    position: fixed;
}

div#main{
    width: 100%;
    height: 100%;
    overflow: hidden;
}
/* 
#whiteboard{
    background-color: red;
} */

#whiteboard-controls{
    position: absolute;
    display: flex;
    left: 50%;
    top: auto;
    bottom: 100%;
    transform: translate(-50%,0);
    border-left: 1px solid rgba(0, 0, 0, 1);
    border-bottom: 1px solid rgba(0, 0, 0, 1);
    border-right: 1px solid rgba(0, 0, 0, 1);
    padding: 5px 5px 0 5px;
    padding-top: 0;
    border-radius: 0 0 12px 12px;
}
#whiteboard-controls.active{
    top: 0;
    bottom: auto;
}
#controls-toggler{
    display: inline;
    content: '';
    position: absolute;
    right: 10px;
    top: 100%;
    padding: 10px 15px;
    border-top: 1px solid #000000;
    background-color: antiquewhite;
    border-radius: 0 0 10px 10px;
    cursor: pointer;
}
#controls-toggler::after{
    display: inline;
    content: '';
    position: absolute;
    border-top: 10px solid #000000;
    border-right: 10px solid transparent;
    border-left: 10px solid transparent;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
#controls-toggler.active::after{
    display: inline;
    content: '';
    position: absolute;
    border-top: none;
    border-bottom: 10px solid #000000;
    border-right: 10px solid transparent;
    border-left: 10px solid transparent;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.control-group{
    display: flex;
    flex-direction: column;
    padding: 3px;
    border-right: 1px solid #000000;
}
.control-group:last-child{
    border: none;
}
.control-group-head{
    text-align: center;
}
.control-group-body{
    display: flex;
    justify-content: space-evenly;
}
.control{
    background-color: antiquewhite;
}

ul.control-menu{
    list-style: none;
    display: flex;
    position: relative;
    align-items: center; 
}
ul.control-menu li{
    display: none;
    transition: .5s all;
}
ul.control-menu li.active{
    display: flex;
    align-items: center;
    padding: 5px;
    opacity: 1;
    position: absolute;
    left: -3px;
    top: calc(100% + 3px);
    background-color: #fafafa;
    border: 1px solid #000000;
    z-index: inherit;
}
ul.control-menu li::after{
    position: absolute;
    content: '';
    left:2%;
    bottom:100%;
    border-right: 5px solid transparent;
    border-left: 5px solid transparent;
    border-bottom: 5px solid #000000;
}

.whiteboard-option, .whiteboard-option-fold{
    background-color: transparent;
    outline: none;
    border: none;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    
}
.whiteboard-option i, .whiteboard-option-fold i{
    font-size: 20px;
}

.whiteboard-option-fold{
    padding-right: 30px;
}
.whiteboard-option-fold::before{
    z-index: 0;
    position: absolute;
    content: '';
    background-color: rgb(207, 207, 207);
    right: 0;
    top: 0;

    width: 20px;
    height: 100%;
}
.whiteboard-option-fold::after{
    position: absolute;
    content: '';
    right: 2px;
    top: 50%;

    transform: translate(0, -50%);
    border-top: 8px solid #272727;
    border-radius: 5px 5px 0 0 ;
    border-right: 8px solid transparent;
    border-left: 8px solid transparent;
}
.whiteboard-option-fold:hover::before{
    background-color: #fafafa;
}

.color-mix{
    background-image: -webkit-linear-gradient(left, #ff0000, #fffb00, #ff00aa, #cc00ff #0000ff); /* For Chrome and Safari */
    background-image:    -moz-linear-gradient(left, #ff0000, #fffb00, #ff00aa, #cc00ff, #0000ff); /* For old Fx (3.6 to 15) */
    background-image:     -ms-linear-gradient(left, #ff0000, #fffb00, #ff00aa, #cc00ff, #0000ff); /* For pre-releases of IE 10*/
    background-image:      -o-linear-gradient(left, #ff0000, #fffb00, #ff00aa, #cc00ff, #0000ff); /* For old Opera (11.1 to 12.0) */
    background-image:         linear-gradient(to right, #ff0000, #fffb00, #ff00aa, #cc00ff, #0000ff); /* Standard syntax; must be last */
    color:transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.color-black{
    color: #000000;
}
.color-red{
    color: #ff0000;
}
.color-blue{
    color: #0000ff;
}
.color-white{
    color: #fff;
}
@media screen and (max-width: 550px){
    #whiteboard-controls{
        background-color: #fafafa;
        flex-direction: column;
        justify-content: center;
        border-radius: 0;
        width: 100%;
        height: 100%;
    }
    #whiteboard-controls.active{
        top: 0;
        bottom: auto;
    }
    #controls-toggler{
        border: 1px solid #000000;
        border-top: none;
        background-color: #faebd7;
        border-radius: 0 0 10px 10px;
    }
    #controls-toggler.active{
        top: auto;
        border-top: 1px solid #000000;
        border-bottom: 0;
        bottom: 0;
        border-radius: 10px 10px 0 0;
    }
    #controls-toggler::after{
        border-top: 8px solid #000000;
        border-right: 8px solid transparent;
        border-left: 8px solid transparent;
        border-bottom: none;
    }
    #controls-toggler.active::after{
        border-top: none;
        border-bottom: 8px solid #000000;
    }    
    
    .control-group{
        border-right: none;
    }
    .control-group-body{
        justify-content: center;
    }
    .control{
        background-color: antiquewhite;
    }
    
    ul.control-menu li.active{
        left: 50%;
        transform: translate(-50%, 0);
    }
    ul.control-menu li::after{
        left:45%;
    }
}